| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Descriptor_Configuration_Header_t Struct Reference
USB Descriptors

Standard USB Configuration Descriptor (LUFA naming conventions). More...

`#include <StdDescriptors.h>`

## Data Fields
uint8_t | ConfigAttributes
uint8_t | ConfigurationNumber
uint8_t | ConfigurationStrIndex
USB_Descriptor_Header_t | Header
uint8_t | MaxPowerConsumption
uint16_t | TotalConfigurationSize
uint8_t | TotalInterfaces

## Detailed Description

Type define for a standard Configuration Descriptor header. This structure uses LUFA-specific element names to make each element's purpose clearer.

See also
  USB_StdDescriptor_Configuration_Header_t for the version of this type with standard element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Descriptor_Configuration_Header_t::ConfigAttributes

Configuration attributes, comprised of a mask of `USB_CONFIG_ATTR_*` masks. On all devices, this should include USB_CONFIG_ATTR_RESERVED at a minimum.

uint8_t USB_Descriptor_Configuration_Header_t::ConfigurationNumber

Configuration index of the current configuration.

uint8_t USB_Descriptor_Configuration_Header_t::ConfigurationStrIndex

Index of a string descriptor describing the configuration.

USB_Descriptor_Header_t USB_Descriptor_Configuration_Header_t::Header

Descriptor header, including type and size.

uint8_t USB_Descriptor_Configuration_Header_t::MaxPowerConsumption

Maximum power consumption of the device while in the current configuration, calculated by the USB_CONFIG_POWER_MA() macro.

uint16_t USB_Descriptor_Configuration_Header_t::TotalConfigurationSize

Size of the configuration descriptor header, and all sub descriptors inside the configuration.

uint8_t USB_Descriptor_Configuration_Header_t::TotalInterfaces

Total number of interfaces in the configuration.

The documentation for this struct was generated from the following file:

- Drivers/USB/Core/StdDescriptors.h